Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

Upgrade will not work and I can't use my email because of it

  • 3 replies
  • 3 have this problem
  • 85 views
  • Last reply by ideato

more options

For a few months now I get a message saying I need to upgrade my Mozilla browser. When I go to my email (live account through hotmail) it says I need to upgrade my browser. So I have tried several times to do this with no luck. It's getting pretty old having to look at email on a kindle or phone, I can look at it on IE but I have other user accounts so I have to log in and out all the time on there.

Chosen solution

That fixed my problem, thank you very much!

Read this answer in context 👍 0

All Replies (3)

more options

Hello scwerl3, your user agent is corrupted by Fast Browser Search (FBSMTWB) and that identifies you as Firefox/3.6.16

see your user agent:

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.16) Gecko/20110319 Firefox/3.6.16 ( .NET CLR 3.5.30729; .NET4.0C) FBSMTWB

you must reset user agent, see how to do that : Firefox is showing the wrong User Agent

see also : http://help.fastbrowsersearch.com/


thank you

Please mark "Solved" the answer that really solve the problem, to help others with a similar problem.

more options

Chosen Solution

That fixed my problem, thank you very much!

more options

you are welcome